## org.mortbay.cometd
Class JSONTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONTransport

All Implemented Interfaces:
  Transport

    public class JSONTransport

extends AbstractTransport

Constructor Summary
`JSONTransport()`

Method Summary
`void` `complete()`
`boolean` `isMetaConnectDeliveryOnly()`
`void` `send(org.cometd.Message message)`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getMetaConnectReply, getResponse, setMetaConnectReply, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONTransport

    public JSONTransport()

Method Detail

### send

    public void send(org.cometd.Message message)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### complete

    public void complete()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isMetaConnectDeliveryOnly

    public boolean isMetaConnectDeliveryOnly()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.